var info = document.getElementsByClassName("infomessage")
var warning = document.getElementsByClassName("warningmessage")
var error = document.getElementsByClassName("errormessage")

function setupBox(boxes,icon) {
  for (var i=0; i<boxes.length; ++i) {
    var el = boxes[i]
    var firstChild = el.childNodes[0]
    var span = document.createElement("span")
    if (firstChild) {
      el.insertBefore(span,firstChild)
      firstP = document.createElement("span")
      var originalContent = document.createRange()
      originalContent.selectNodeContents(firstChild)
      firstP.appendChild(originalContent.extractContents())
      //console.log("firstP",firstP)
      //console.log("originalContent",originalContent)
      el.replaceChild(firstP, firstChild)
    }
    else {
      el.appendChild(span)
    }
    span.classList.add("fa")
    span.classList.add("fa-" + icon)
  }
}

setupBox(info,"info-circle")
setupBox(warning,"exclamation-circle")
setupBox(error,"exclamation-triangle")
